<?xml version='1.0'?>

<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:txt="http://www.unicorn-enterprises.com/XSLT/Extensions/TextInput/1.0"
    extension-element-prefixes="txt">

  <xsl:output
      method="xml"
      indent="yes"
      encoding="UTF-8"/>

  <xsl:strip-space elements="*"/>

  <xsl:template match="/">
    <txt:format name="TEXT02" separator=",">
      <txt:field name="CODE"/>
      <txt:field name="CATEGORY"/>
      <txt:field name="NAME"/>
      <txt:field name="CPU"/>
      <txt:field name="RAM"/>
      <txt:field name="HARD_DISK"/>
      <txt:field name="MONITOR"/>
      <txt:field name="OS"/>
      <txt:field name="PRICE"/>
    </txt:format>
    <root>
      <txt:read href="text02.txt" format="TEXT02">
        <model>
          <code><xsl:value-of select="txt:field-value('CODE')"/></code>
          <category><xsl:value-of select="txt:field-value('CATEGORY')"/></category>
          <name><xsl:value-of select="txt:field-value('NAME')"/></name>
          <cpu><xsl:value-of select="txt:field-value('CPU')"/></cpu>
          <ram><xsl:value-of select="txt:field-value('RAM')"/></ram>
          <hard-disk><xsl:value-of select="txt:field-value('HARD_DISK')"/></hard-disk>
          <monitor><xsl:value-of select="txt:field-value('MONITOR')"/></monitor>
          <os><xsl:value-of select="txt:field-value('OS')"/></os>
          <price><xsl:value-of select="txt:field-value('PRICE')"/></price>
        </model>
      </txt:read>
    </root>
  </xsl:template>

</xsl:stylesheet>

