<?xml version="1.0"?>

<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:obj="http://www.unicorn-enterprises.com/XSLT/Extensions/ECMAScript/1.0"
    extension-element-prefixes="obj">

  <xsl:output
      method="xml"
      indent="yes"
      encoding="UTF-8"/>

  <xsl:template match='/'>
    <obj:import href="demo01.es"/>
    <html>
      <head>
        <title>New Product</title>
      </head>
      <body>
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="head">
    <h3><xsl:apply-templates/></h3>
  </xsl:template>

  <xsl:template match="p">
    <p><xsl:apply-templates/></p>
  </xsl:template>

  <xsl:template match="date">
    <em><obj:call property="Date"/></em>
  </xsl:template>

  <xsl:template match="product-name">
    <obj:get object="'Product'" property="name"/>
  </xsl:template>

  <xsl:template match="product-vendor">
    <obj:get object="'Product'" property="vendor"/>
  </xsl:template>

  <xsl:template match="product-platform">
    <obj:get object="'Product'" property="platform"/>
  </xsl:template>

  <xsl:template match="product-language">
    <obj:get object="'Product'" property="language"/>
  </xsl:template>

</xsl:stylesheet>

